///////////////////////////////////////////////////////////
// Attributes
attribute vec4 a_position;
attribute vec2 a_texCoord;
attribute vec2 a_texCoord1;
attribute vec2 a_texCoord2;

///////////////////////////////////////////////////////////
// Uniforms
uniform mat4 u_worldViewProjectionMatrix;

///////////////////////////////////////////////////////////
// Varyings
varying vec2 v_texCoord;
varying vec2 v_texCoord1;
varying vec2 v_texCoord2;

void main()
{
    
    gl_Position = u_worldViewProjectionMatrix * a_position;
    
    v_texCoord = a_texCoord;
    v_texCoord1 = a_texCoord1;
    v_texCoord2 = a_texCoord2;
    
}
