///////////////////////////////////////////////////////////
// Attributes
attribute vec4 a_position;
attribute vec2 a_texCoord;

///////////////////////////////////////////////////////////
// Uniforms
uniform mat4 u_worldViewProjectionMatrix;

///////////////////////////////////////////////////////////
// Varyings
varying vec2 v_texCoord;

varying vec2 v_texCoord1;


void main()
{

    gl_Position = u_worldViewProjectionMatrix * a_position;


    v_texCoord = (gl_Position.xy + 1.0) / 2.0;


	v_texCoord1 = a_texCoord;

}
