attribute vec4 a_texCoord; // 본인의 얼굴 좌표
attribute vec4 a_texCoord1; // 이동될 얼굴 좌표
attribute vec4 a_texCoord2;

uniform mat4 uMRotateMatrix;

varying vec2 textureCoordinate;
varying vec2 vAlphaCoordinate;

void main()
{

   // 이동될 얼굴의 좌표.
   gl_Position = uMRotateMatrix * vec4(a_texCoord1.xy, 0.0, 1.0);

   // 본인의 얼굴 좌표를 이용하여 얼굴 텍스쳐 좌표를 계산 한다.
   vec4 myFaceVertexPosition = vec4(a_texCoord.xy, 0.0, 1.0);

   // 원래 얼굴의 텍스쳐 좌표.
   // front camera 일때는 좌우 반전
   textureCoordinate = myFaceVertexPosition.xy;
   vAlphaCoordinate = a_texCoord2.xy;
}
