package com.linecorp.line.camera.util

import android.view.View
import android.view.animation.Animation
import android.view.animation.Transformation

class CameraContentResizeAnimation : Animation() {
    lateinit var view: View

    var startHeight: Int = 0
    var deltaHeight: Int = 0

    override fun applyTransformation(interpolatedTime: Float, t: Transformation) {
        if (startHeight >= 0) {
            view.layoutParams.height = (startHeight + deltaHeight * interpolatedTime).toInt()
        }
        view.requestLayout()
    }
}
