package com.linecorp.line.media.picker.action

import com.linecorp.line.common.PickerMediaItem
import com.linecorp.line.media.picker.subjects.param.MediaFragmentParam

abstract class BaseGifMakerFragmentAction : OnFragmentAction {
    override fun onFragmentAction(param: MediaFragmentParam) {
        when (param.action) {
            MediaFragmentParam.Action.GIF_MAKER_CLICK_SEND -> onClickSend(param.`object` as PickerMediaItem)
            else -> {
            }
        }
    }

    abstract fun onClickSend(gifItem: PickerMediaItem)
}