package com.linecorp.line.media.picker.action.impl

import com.linecorp.line.common.PickerMediaItem
import com.linecorp.line.media.picker.action.BaseGifMakerFragmentAction
import com.linecorp.line.media.picker.base.MediaContext
import com.linecorp.line.media.picker.embedded.facade.listener.GifMakerFacadeListener

class GifMakerFragmentActionImpl(val mediaContext: MediaContext) : BaseGifMakerFragmentAction() {
    override fun onClickSend(gifItem: PickerMediaItem) {
        if (mediaContext.facadeListener is GifMakerFacadeListener) {
            val gifMakerFacadeListener: GifMakerFacadeListener = mediaContext.facadeListener as GifMakerFacadeListener
            gifMakerFacadeListener.onGifCreated(gifItem)
        }
    }
}