package com.linecorp.line.media.picker.embedded.facade

import com.linecorp.line.media.picker.base.MediaContext
import com.linecorp.line.media.picker.mode.gif.LineGifMaker

class LineGifMakerFacade(private val gifMaker: LineGifMaker) : MediaFacade(gifMaker) {
    override fun detach() {
        if (isEnabled == false) return
        gifMaker.detach()
    }

    fun copyManagedItems(mediaContext: MediaContext) {
        gifMaker.copyManagedItems(mediaContext)
    }
}
