package com.linecorp.line.media.picker.fragment.gif

import android.content.Context
import android.util.AttributeSet
import android.view.View
import android.widget.ImageView
import android.widget.LinearLayout
import android.widget.TextView
import com.linecorp.line.media.R

class GIFMakerBottomButtonView : LinearLayout {
    var icon: ImageView
    var text: TextView

    @JvmOverloads constructor(
            context: Context?,
            attrs: AttributeSet? = null,
            defStyleAttr: Int = 0
    ) : super(context, attrs, defStyleAttr) {
        View.inflate(context, R.layout.layout_gif_maker_bottom_button, this)

        icon = findViewById(R.id.button_icon)
        text = findViewById(R.id.button_text)
    }

    fun setIcon(iconRes: Int) {
        icon.setImageResource(iconRes)
    }

    fun setText(textRes: Int) {
        text.setText(textRes)
    }

    fun setText(des: String) {
        text.text = des
    }
}
