package jp.naver.line.androie.common.theme

/**
 * Data class to represent theme element images for states such as pressed, selected and dimmed.
 */
data class ThemeElementBaseImageData @JvmOverloads constructor(
        val shouldSetTransparentImageAsNormalImage: Boolean,
        val normalImageName: String,
        val pressedImageName: String = "",
        val selectedImageName: String = "",
        val dimmedImageName: String = "")
