package jp.naver.line.androie.common.theme

/**
 * Types of theme element value.
 * The theme element can have various value such as background color, background image, and
 * background tint color. This represents a group of the values such as BACKGROUND, IMAGE, and TEXT.
 */
enum class ThemeElementValueType {
    BACKGROUND,
    IMAGE,
    TEXT
}
