package jp.naver.line.androie.util

import android.net.Uri

/**
 * Checks if a URI contains openExternalBrowser and returns if it is true
 *
 */
fun Uri.shouldOpenExternalBrowser(): Boolean =
        this.isHierarchical && this.getQueryParameter("openExternalBrowser").let {
            "1" == it || "true" == it
        }
