#ifdef OPENGL_ES
#ifdef GL_FRAGMENT_PRECISION_HIGH
precision highp float;
#else
precision mediump float;
#endif
#endif

///////////////////////////////////////////////////////////
// Uniforms
uniform sampler2D u_textureY;
uniform sampler2D u_textureUV;

///////////////////////////////////////////////////////////
// Varyings
varying vec2 v_texCoord;


void main()
{
    
    gl_FragColor = vec4(mat3(1.0, 1.0, 1.0, 0.0, -0.343, 1.765, 1.4, -0.711, 0.0)
                        * vec3(texture2D(u_textureY, v_texCoord).r,
                               texture2D(u_textureUV, v_texCoord).rg - vec2(0.5, 0.5)),
                        1);

}