attribute vec4 a_position;
attribute vec4 a_texCoord;

uniform vec2 inputTextureSize;

varying vec2 textureCoordinate;
varying vec2 textureCoordinateUpscale;
varying vec2 textureScale;

void main() {
    gl_Position = a_position;
    textureScale = 1.0 / inputTextureSize;
    textureCoordinate = a_texCoord.xy;
    textureCoordinateUpscale = a_texCoord.xy * inputTextureSize;
}
