#ifdef OPENGL_ES
#ifdef GL_FRAGMENT_PRECISION_HIGH
precision highp float;
#else
precision mediump float;
#endif
#endif

///////////////////////////////////////////////////////////
// Uniforms
uniform sampler2D u_texture;
uniform sampler2D u_filter_texture;

///////////////////////////////////////////////////////////
// Varyings
varying vec2 v_texCoord;


void main()
{
    
    vec4 uvTexture = texture2D(u_filter_texture, v_texCoord);
    
    vec2 newCoord = vec2(uvTexture.x, uvTexture.y);
    
    vec4 textureColor = texture2D(u_texture, newCoord);
    gl_FragColor = vec4(textureColor.rgb , textureColor.a * uvTexture.a);
    
    
    
}


