@file:JvmName("LineDialogUtils")
package jp.naver.line.androie.common.dialog

import android.content.Context

data class LineDialogItem(
        val labelResourceId: Int,
        val action: () -> Unit
)

internal fun List<LineDialogItem>.toLabelStringArray(
        context: Context
): Array<String> = map { element -> context.getString(element.labelResourceId) }
        .toTypedArray()
