package jp.naver.line.androie.common.theme

import android.graphics.Rect
import android.view.View

object ViewPaddingExtensions {
    var View.padding: Rect
        get() = Rect(paddingLeft, paddingTop, paddingRight, paddingBottom)
        set(rect) = setPadding(rect.left, rect.top, rect.right, rect.bottom)
}
